package cn.iocoder.yudao.module.smartfactory.dal.mysql.size;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.smartfactory.controller.admin.size.vo.SizePageReqVO;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.size.SizeDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 规格 Mapper
 *
 * @author 符溶馨
 */
@Mapper
public interface SizeMapper extends BaseMapperX<SizeDO> {

    default PageResult<SizeDO> selectPage(SizePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<SizeDO>()
                .likeIfPresent(SizeDO::getName, reqVO.getName())
                .betweenIfPresent(SizeDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(SizeDO::getId));
    }

}